<%@ page language="C#" autoeventwireup="true" masterpagefile="~/MasterFile/TimeCheck.master" enableeventvalidation="false" inherits="Reports_TA_UI_Report_MonthlyAttendance, App_Web_3fhmdafm" %>

<%--<%@ Register Src="../UserControls/TA_uc_OrgLevelFilter_Updated_WithoutMandatory.ascx" TagName="TA_uc_OrgLevel_Filter"
    TagPrefix="uc1" %>--%>

<%@ Register Src="~/UserControls/TA_uc_OrganizationLevels.ascx" TagName="OrganizationLevel"
    TagPrefix="uc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web" TagPrefix="dxw" %>
<asp:Content ContentPlaceHolderID="BodyContentPH" ID="rptMonthlyAttendanceReport"
    runat="server">

    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
		<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->

    <script type="text/javascript" src="../bootstrap/js/1.4.3/jquery.min.js"></script>
    <script src="../bootstrap/js/1.8.5/jquery-ui.min.js" type="text/javascript"></script>

    <script type="text/javascript">
        function UpdateCustomizationWindowValue() {
            var element = document.getElementById("btnCustWindow");
            if (element == null) return;
            element.value = (gvData.IsCustomizationWindowVisible() ? "Hide" : "Show") + " Customization Window";
        }
        function ShowHideCustomizationWindow() {
            if (gvData.IsCustomizationWindowVisible())
                gvData.HideCustomizationWindow();
            else gvData.ShowCustomizationWindow();
            UpdateCustomizationWindowValue();
        }
        $(function () {
            $("#<%= txtEmployeeId.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.getJSON("../AutoCompleteByEmployeeId.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        term: extractLast(request.term)
                    }, response);
                },
                search: function () {
                    var term = extractLast(this.value);
                    if (term.length < 1) {
                        return false;
                    }
                },
                focus: function () {
                    return false;
                },
                select: function (event, ui) {
                    var terms = split(this.value);
                    terms.pop();
                    terms.push(ui.item.value);
                    terms.push("");
                    this.value = terms.join(",");
                    return false;
                }
            });
            function split(val) {
                return val.split(/,\s*/);
            }
            function extractLast(term) {
                return split(term).pop();
            }
        });
            $(function () {
                $("#<%= txtEmployeeName.ClientID %>").autocomplete({
                    source: function (request, response) {
                        $.getJSON("../AutoCompleteByName.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                            term: extractLast(request.term)
                        }, response);
                    },
                    search: function () {
                        var term = extractLast(this.value);
                        if (term.length < 1) {
                            return false;
                        }
                    },
                    focus: function () {
                        return false;
                    },
                    select: function (event, ui) {
                        var terms = split(this.value);
                        terms.pop();
                        terms.push(ui.item.value);
                        terms.push("");
                        this.value = terms.join(",");
                        return false;
                    }
                });
                function split(val) {
                    return val.split(/,\s*/);
                }
                function extractLast(term) {
                    return split(term).pop();
                }
            });
                window.onload = function () {
                    PageOnloadDate();
                };
    </script>
    <script src="../plugins/datepicker/jquery-1.11.1.min.js"></script>
    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>
    <script src="../plugins/datepicker/bootstrap-datepicker.js"></script>
    <script>
        $(function () {
            $('#ctl00_BodyContentPH_txtFromDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
            $('#ctl00_BodyContentPH_txtToDate').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value }
            );
            $('#ctl00_BodyContentPH_txtMinWorkHours').datetimepicker({ format: 'HH:mm' }
            );
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#<%=txtEmployeeId.ClientID%>").autocomplete('../AutoCompleteByEmployeeId.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                multiple: true,
                multipleSeparator: ",",
                width: 180,
                highlight: false,
                scroll: true,
                scrollHeight: 300,
                delay: 10
            });
        });
        $(document).ready(function () {
            $("#<%=txtEmployeeName.ClientID%>").autocomplete('../AutoCompleteByName.ashx?EmpAutoid=' + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                multiple: true,
                multipleSeparator: " ,",
                width: 200,
                highlight: false,
                scroll: true,
                scrollHeight: 300,
                delay: 10
            });
        });
    </script>
    <div class="content-header" id="conHeader" runat="server">
        <h1 style="background-image: url(../dist/img/swipe-icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lblMonthlyAttendanceReport" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filters"></asp:Label>
                        <asp:Label ID="Label1" runat="server" Visible="false"></asp:Label>
                        <input id="Hidden3" type="hidden" value='<% Response.Write(Convert.ToString(Session["IDateFormat"])); %>' />
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>



        <div id="collapseOne">
            <div class="emp-filter">
                <div class="form-horizontal">
                    <asp:HiddenField ID="Hidden1" runat="server" />
                    <asp:HiddenField ID="hdnReportFilters" runat="server" />
                    <asp:HiddenField ID="hdnReportType1" runat="server" />
                    <asp:HiddenField ID="hdnCompanyId1" runat="server" />
                    <div id="divEmployeeDetails" runat="server">
                        <div class="row" style="display: none">
                            <div class="col-md-3">
                                <asp:Label ID="lblEmpSwipe" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtSwipeCard" MaxLength="20" runat="server"
                                    CssClass="form-control" onkeypress="return acceptCharsNum_MaxLength(event,this,20,MaxLength);"></asp:TextBox>
                                <cc1:AutoCompleteExtender ID="acSwipeCardNo" runat="server" CompletionSetCount="10"
                                    CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                    CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtSwipeCard"
                                    ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetCardNoForReports"
                                    CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                                </cc1:AutoCompleteExtender>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeName" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeName" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmployeeId" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtEmployeeId" runat="server" CssClass="form-control"
                                    Style="resize: none" TextMode="multiLine"></asp:TextBox>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpCategory" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpCatagory" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblEmpType" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlEmpType" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblDesignation" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlDesignation" runat="server" CssClass="form-control select2"
                                    AppendDataBoundItems="true">
                                    <asp:ListItem Value="0" Selected="True" Text="All"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblGender" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:DropDownList ID="ddlGender" runat="server" CssClass="form-control select2">
                                    <asp:ListItem Value="Both" Text="Both"></asp:ListItem>
                                    <asp:ListItem Value="Male" Text="Male"></asp:ListItem>
                                    <asp:ListItem Value="Female" Text="Female"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-2">
                            <asp:Label ID="lblShift" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlShift" runat="server" CssClass="form-control select2">
                            </asp:DropDownList>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblMinimumWorkHours" runat="server" Style="margin-right: -9px"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox onpaste="return true" ID="txtMinWorkHours" runat="server" CssClass="form-control"
                                MaxLength="5" onkeypress="return number_colon(event,this);"></asp:TextBox>
                        </div>
                    </div>
                    <div class="row form-group" runat="server" id="divProduct">
                        <div class="col-md-2">
                            <asp:Label ID="lblDataloading" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlDataLoading" runat="server" CssClass="form-control select2">
                                <asp:ListItem Text="All" Selected="true" Value="0"></asp:ListItem>
                                <asp:ListItem Text="Holiday & Weekly off - Worked" Value="3"></asp:ListItem>
                                <asp:ListItem Text="Holiday - Worked" Value="1"></asp:ListItem>
                                <asp:ListItem Text="Weekly off - Worked" Value="2"></asp:ListItem>
                                <asp:ListItem Text="Weekly off" Value="4"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                        <div class="col-md-1">
                        </div>


                    </div>
                    <div class="row form-group">
                        <div class="col-md-2">
                            <asp:Label ID="lblReportType" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-7" id="divproducts" runat="server">
                            <label class="radio">
                                <asp:RadioButtonList ID="rbReportType" CssClass="radio-primary" runat="server"
                                     AutoPostBack="true" OnSelectedIndexChanged="rbReportType_SelectedIndexChanged" RepeatDirection="Horizontal">
                                    <asp:ListItem Value="0" Text="Vertical" Selected="True"></asp:ListItem>
                                    <asp:ListItem Value="1" Text="Horizontal"></asp:ListItem>
                                    <asp:ListItem Value="2" Text="Straight Shift"></asp:ListItem>
                                    <asp:ListItem Value="3" Text="LevelWise"></asp:ListItem>
                                </asp:RadioButtonList>
                            </label>
                        </div>
                        <div class="col-md-3" id="divCustom" runat="server">
                            <label class="radio">
                                <asp:RadioButtonList ID="rdbtnReport" CssClass="radio-primary" runat="server" RepeatDirection="Horizontal">
                                    <asp:ListItem Value="0" Text="Old" Selected="True"></asp:ListItem>
                                    <asp:ListItem Value="1" Text="New"></asp:ListItem>
                                </asp:RadioButtonList>
                            </label>
                        </div>
                    </div>


                    <div id="divdateTime" runat="server">
                        <div class="clearfix">
                        </div>
                        <div class="row">
                            <div class="row">
                                <div class="line16">
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblDateFilter" runat="server"></asp:Label>
                            </div>
                            <div class="Pad-left-7px">
                                <div class="col-md-2 Session-padLeftrtp">
                                    <asp:RadioButton ID="rbCustom" runat="server" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(3);" Checked="true" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbpreviousweek" runat="server" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(1);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbThisweek" runat="server" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(0);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbpreviousMonth" runat="server" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(5);" />
                                </div>
                                <div class="col-md-2">
                                    <asp:RadioButton ID="rbThisMonth" runat="server" CssClass="radioLeave radioLeave-primary"
                                        GroupName="rpt" onchange="ajaxGetDate(4);" />
                                </div>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-2">
                                <asp:Label ID="lblTimePeriod" runat="server"></asp:Label>
                                -
                                <asp:Label ID="lblFrom" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtFromDate" runat="server" CssClass="form-control"
                                    onCut="return false" onDrop="return false" MaxLength="11"></asp:TextBox>
                                <asp:CustomValidator ID="cus_FromDate" runat="server" Display="None" EnableClientScript="False"
                                    ErrorMessage="Select valid From Date" OnServerValidate="ValidateFromDate"></asp:CustomValidator>
                                <asp:RequiredFieldValidator ID="reqFromDate" runat="server" ControlToValidate="txtFromDate"
                                    Display="None" EnableClientScript="False" ErrorMessage="Please select FromDate"></asp:RequiredFieldValidator>
                            </div>
                            <div class="col-md-1">
                            </div>
                            <div class="col-md-2">
                                <asp:Label ID="lblTo" runat="server"></asp:Label>
                            </div>
                            <div class="col-md-3">
                                <asp:TextBox onpaste="return true" ID="txtToDate" runat="server" CssClass="form-control"
                                    onCut="return false" onDrop="return false" MaxLength="11"></asp:TextBox>
                                <asp:CustomValidator ID="cus_ToDate" runat="server" Display="None" EnableClientScript="False"
                                    ErrorMessage="Select valid To Date" OnServerValidate="ValidateToDate"></asp:CustomValidator>
                                <asp:CustomValidator ID="cus_ComToDate" runat="server" Display="None" EnableClientScript="False"
                                    ErrorMessage="Select valid date compare with Fromdate" OnServerValidate="CompareDate"></asp:CustomValidator>
                                <asp:RequiredFieldValidator ID="reqToDate" runat="server" ControlToValidate="txtToDate"
                                    Display="None" EnableClientScript="False" ErrorMessage="Please select ToDate"></asp:RequiredFieldValidator>
                            </div>
                        </div>
                    </div>

                    <div class="clearfix">
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="upOrgLevel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:PlaceHolder ID="PlaceHolderMonthlyAttendance" runat="server">
                                        <uc:OrganizationLevel ID="ucOrganizationLevel" runat="server" />
                                    </asp:PlaceHolder>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>

                    <div class="row form-group" id="trView" runat="server">
                        <div class="col-md-5">
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right-button">

                                <asp:LinkButton ID="lnkbtnGrid" Text="&nbsp;&nbsp;Grid Report" CssClass="btn save-btn fa-eye" runat="server" OnClick="lnkbtnGrid_Click"
                                    OnClientClick="return DateEntryValidation()" />
                                <asp:LinkButton ID="btn_View" CssClass="btn save-btn fa-eye" runat="server" OnClick="btn_View_Click"
                                    OnClientClick="return DateEntryValidation()" />
                                <asp:LinkButton ID="btn_Export" runat="server" CssClass="btn save-btn fa-file-excel-o"
                                    OnClientClick="return DateEntryValidation()" Text="&nbsp;&nbsp;Export To Excel"
                                    OnClick="btn_Export_Click" />
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="pull-right-button">
                                <asp:Label Visible="false" ID="lblmanual" runat="server" Text="WD -  Week Day | WO - Weekly Off | H - Holiday | Spec.OT - Special OT | # - Manual Entry Record"></asp:Label>
                            </div>
                        </div>
                    </div>

                    <div class="row form-group">
                        <div class="col-md-12">
                            <div class="pull-right-button">
                                <%--<dxw:ASPxComboBox runat="server" ID="cbFields" ValueType="System.Int32" SelectedIndex="0" Caption="Group by">
                                    <Items>
                                        <dxw:listedititem text="Month" value="0" />
                                        <dxw:listedititem text="Employee Id, Month" value="1" />
                                        <dxw:listedititem text="Month , Employee Id" value="2" />
                                        <dxw:listedititem text="Employee Id, Month, Shift Name" value="3" />
                                        <dxw:listedititem text="Month , Employee Id, Shift Name" value="4" />
                                    </Items>
                                    <ClientSideEvents SelectedIndexChanged="function(s) { gvData.PerformCallback(s.GetValue()) }" />
                                </dxw:ASPxComboBox>--%>
                                <asp:LinkButton ID="btnCustWindow" Visible="false" runat="server" CssClass="btn save-btn fa-folder-open-o"
                                    Text="&nbsp;&nbsp;Field Lists" OnClientClick="ShowHideCustomizationWindow();"></asp:LinkButton>
                                <asp:LinkButton ID="lnktbnexcel" Visible="false" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnpdf" Visible="false" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnCSV" Visible="false" ToolTip="Pdf" CommandName="csv" runat="server" CssClass="btn del-btn fa-file-csv" OnClick="btnExport_Click">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnbtnClear" Visible="false" Text="&nbsp;&nbsp;Clear" runat="server" CssClass="btn del-btn" OnClick="lnbtnClear_Click">
                                </asp:LinkButton>

                                <asp:LinkButton ID="lnkbtnExpand" Visible="false" Text="&nbsp;&nbsp;Expand All Rows" runat="server" CssClass="btn del-btn" OnClientClick="return Expand();">
                                </asp:LinkButton>
                                <asp:LinkButton ID="lnkbtnCollapse" Visible="false" Text="&nbsp;&nbsp;Collapse All Rows" runat="server" CssClass="btn del-btn" OnClientClick="return Collapse();">
                                </asp:LinkButton>
                            </div>
                        </div>
                    </div>

                    <div class="row form-group">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <dxw:ASPxGridView ID="gvData" Visible="false" SettingsBehavior-AllowSort="false" ClientInstanceName="gvData" runat="server"
                                        OnHtmlDataCellPrepared="gvData_HtmlDataCellPrepared" OnCustomCallback="gvData_CustomCallback" AutoGenerateColumns="false" Width="100%" Settings-HorizontalScrollBarMode="Auto" ViewStateMode="Enabled">
                                        <Columns>
                                            <dxw:GridViewDataTextColumn FieldName="EMPLOYEE_ID" VisibleIndex="0" Caption="Employee ID">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEID" Text='<%# Eval("EMPLOYEE_ID") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="EMPNAME" VisibleIndex="1" Caption="Employee Name" Width="260px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEMPNAME" Text='<%# Eval("EMPNAME") %>' runat="server" Style="width: 25%"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="DATE" VisibleIndex="2" Caption="Date">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDATE" Text='<%# Eval("DATE") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings ShowFilterRowMenu="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="SHIFT_SHORTNAME" VisibleIndex="3" Caption="SSN" Width="80px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSHIFT_SHORTNAME" Text='<%# Eval("SHIFT_SHORTNAME") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="INTIME" VisibleIndex="4" Caption="In Time" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblINTIME" Text='<%# Eval("INTIME") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OUTTIME" VisibleIndex="5" Caption="Out Time" Width="70px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblOUTTIME" Text='<%# Eval("OUTTIME") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="Intime1" VisibleIndex="6" Caption="In Time 1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("Intime1") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OutTime1" VisibleIndex="7" Caption="Out Time 1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("OutTime1") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Intime2" VisibleIndex="8" Caption="In Time 2">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("Intime2") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OutTime2" VisibleIndex="9" Caption="Out Time 2">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("OutTime2") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Intime3" VisibleIndex="10" Caption="In Time 3">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("Intime3") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OutTime3" VisibleIndex="11" Caption="Out Time 3">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("OutTime3") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Intime4" VisibleIndex="12" Caption="In Time 4">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("Intime4") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OutTime4" VisibleIndex="13" Caption="Out Time 4">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("OutTime4") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="Intime5" VisibleIndex="14" Caption="In Time 5">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("Intime5") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="OutTime5" VisibleIndex="15" Caption="Out Time 5">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("OutTime5") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="HRSWORK" VisibleIndex="16" Caption="HW" Width="80px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblHRSWORK" Text='<%# Eval("HRSWORK") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="AcutalWorkedHours" VisibleIndex="17" Caption="Actual Worked Hours" Width="180px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblACUTALWORKEDHOURS" Text='<%# Eval("AcutalWorkedHours") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="LATEIN" VisibleIndex="18" Caption="Late Entry Hours" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblLATEIN" Text='<%# Eval("LATEIN") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="EARLYOUT" VisibleIndex="19" Caption="Early Exit Hours" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEARLYOUT" Text='<%# Eval("EARLYOUT") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="NORMOT" VisibleIndex="20" Caption="WD OT-Hours">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblNORMOT" Text='<%# Eval("NORMOT") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="LUNCHHOURS" VisibleIndex="21" Caption="Lunch Hours">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblLUNCHHOURS" Text='<%# Eval("LUNCHHOURS") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="BREAKHOURS" VisibleIndex="22" Caption="Break Hours">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblBREAKHOURS" Text='<%# Eval("BREAKHOURS") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                                <Settings AllowAutoFilter="False" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn FieldName="FIRSTSESSION" VisibleIndex="23" Caption="First Session">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblFIRSTSESSION" Text='<%# Eval("FIRSTSESSION") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn FieldName="SECONDSESSION" VisibleIndex="24" Caption="Second Session" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSECONDSESSION" Text='<%# Eval("SECONDSESSION") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>

                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="processMonth" VisibleIndex="25" Caption="Month" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblprocessMonth" Text='<%# Eval("processMonth") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                            <dxw:GridViewDataTextColumn Visible="false" FieldName="MonthNo" VisibleIndex="26" Caption="Month No." Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblMonthNo" Text='<%# Eval("MonthNo") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                            </dxw:GridViewDataTextColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="30">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="100,200,500,1000,2000" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" ShowTitlePanel="true" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsSearchPanel Visible="true" HighlightResults="true" ShowApplyButton="true" ShowClearButton="true" />
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                                        <%--<SettingsContextMenu  Enabled="true" ColumnMenuItemVisibility-HideColumn="true" ColumnMenuItemVisibility-ShowColumn="true" RowMenuItemVisibility-Refresh="true" ColumnMenuItemVisibility-ShowFilterRow="true" ColumnMenuItemVisibility-ShowCustomizationWindow="true" ColumnMenuItemVisibility-ClearSorting="true">
                                </SettingsContextMenu>--%>

                                        <%--<TotalSummary>
                                    <dxw:ASPxSummaryItem FieldName="SHIFT_SHORTNAME" SummaryType="Count" />
                                </TotalSummary>--%>
                                        <GroupSummary>
                                            <dxw:ASPxSummaryItem FieldName="SHIFT_SHORTNAME" ShowInGroupFooterColumn="SHIFT_SHORTNAME" SummaryType="Count" />
                                            <%--<dxw:aspxsummaryitem fieldname="EMPLOYEE_ID" showingroupfootercolumn="EMPLOYEE_ID" summarytype="Sum" />--%>
                                            <%--<dxw:aspxsummaryitem fieldname="Total" showingroupfootercolumn="Total" summarytype="Sum" />--%>
                                        </GroupSummary>
                                        <%--<Settings ShowFooter="true" ShowGroupFooter="VisibleIfExpanded" />--%>
                                        <SettingsBehavior AllowDragDrop="true" />
                                    </dxw:ASPxGridView>
                                    <dxw:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxw:ASPxGridViewExporter>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>

                    <div class="row" id="trSave" runat="server">
                        <div class="col-md-5">
                        </div>
                        <div class="col-md-6">
                            <div class="pull-right-button">
                                <%--HOLOT,OFFOT--%>
                                <asp:HiddenField ID="hdnRemve" runat="server" Value="SPEC_NormOT1,SPEC_NormOT2,SPEC_OffOT1,SPEC_OffOT2,SPEC_HOLOT1,SPEC_HOLOT2,SUPPOSEDWORKHOURS,TOTALMINSWORKED,StatusCode,NORMOTMIN,OFFOTMIN,HOLOTMIN,LATEINMIN,EARLYOUTMIN,TOTDEFWORKHRS,TOTSUPWORKHRS,OVERTIMESTATUS,NIGHTORMORN,LUNCHINTIME,LUNCHOUTTIME,INNOTATION,OUTNOTATION,SHIFT_STARTTIME,SHIFT_ENDTIME,BREAKHOURSMINS,LUNCHHOURSMINS,WEEKDAY_WORKHRS,WEEKNUMBER,FNATTENDANCECODE,ANATTENDANCECODE,DESIGNATION,processDay,processMonth,OVERTIME,Intime1,Intime2,Intime3,Intime4,Intime5,OutTime1,OutTime2,OutTime3,OutTime4,OutTime5,EARLYOUT1,LATEIN1,NORMOT1,OFFOT1,HOLOT1,AcutalWorkedHours,MonthNo,TLH,TBH,processDate" />
                                <asp:LinkButton ID="btnSave" Text="Save" CssClass="btn save-btn  fa-floppy-o" runat="server"
                                    OnClick="btnSave_Click" />
                                <asp:LinkButton ID="btnBack" Text="Back" CssClass="btn del-btn fa-close" runat="server"
                                    OnClick="btnBack_Click" />
                                <asp:ValidationSummary ID="ValidationSummary1" ShowMessageBox="false" ShowSummary="false"
                                    runat="server" />
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>



    </div>
    <script language="javascript" type="text/javascript">
        var Monthfourdigit = 'Please enter valid date as month, day, and four digit year : Format MM/dd/yyyy.';
        var Datefourdigit = 'Please enter valid date with correct format dd/MM/yyyy';
        var Invalidyearentry = 'Invalid year entry';
        var Invalidmonthentry = 'Invalid month entry';
        var Invaliddateentry = 'Invalid date entry';
        var DateformatDDMONYYYY = 'Incorrect date format. Enter as DD-MON-YYYY';
        var Entertime = 'Enter time';
        var Valueforhours = 'Invalid value for hours:';
        var Invalidvalueforminutes = 'Invalid value for minutes:';
        var Invalidtimeformat = 'Invalid time format:';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var ValiddatemonthMMDDYYHHMM = 'Please enter valid Date and Time MM/dd/yyyy HH:mm';
        var ValiddatemonthMMDDYYHHMMTT = 'Please enter valid Date and Time MM/dd/yyyy hh:mm tt';
        var EntervalidDateandTime = 'Please enter valid Date and Time';
        var Invalidvalueforhours = 'Invalid value for hours:';
        var Invalidvalueforminites = 'Invalid value for minutes:';
        var MaxLength = "Maximum length is ";
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
        function SetAlertCheckDate(monthfourdigit, datefourdigit, invalidyearentry, invalidmonthentry, invaliddateentry, dateformatDDMONYYYY, entertime, valueforhours, invalidvalueforminutes, invalidtimeformat, entervalidDateandTime, validdatemonthMMDDYYHHMM, validdatemonthMMDDYYHHMMTT, entervalidDateandTime, invalidvalueforhours, invalidvalueforminites) {
            Monthfourdigit = monthfourdigit;
            Datefourdigit = datefourdigit;
            Invalidyearentry = invalidyearentry;
            Invalidmonthentry = invalidmonthentry;
            Invaliddateentry = invaliddateentry;
            DateformatDDMONYYYY = dateformatDDMONYYYY;
            Entertime = Entertime;
            Valueforhours = valueforhours;
            Invalidvalueforminutes = invalidvalueforminutes;
            Invalidtimeformat = invalidtimeformat;
            EntervalidDateandTime = entervalidDateandTime;
            ValiddatemonthMMDDYYHHMM = validdatemonthMMDDYYHHMM;
            ValiddatemonthMMDDYYHHMMTT = validdatemonthMMDDYYHHMMTT;
            EntervalidDateandTime = entervalidDateandTime;
            Invalidvalueforhours = invalidvalueforhours;
            Invalidvalueforminites = invalidvalueforminites;
        }
        var FromDate = "Enter Valid From Date";
        var ToDate = "Enter Valid To Date";
        var EntervalidMinimumWorkHours = "Enter valid Minimum Work Hours(HH:MM)";
        function SetAlertMessages(fromdate, enterToDate, entervalidMinimumWorkHours) {
            FromDate = fromdate;
            ToDate = enterToDate;
            EntervalidMinimumWorkHours = entervalidMinimumWorkHours;
        }
        function DateEntryValidation() {
            var rangeDemoFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
            if (document.aspnetForm.ctl00_BodyContentPH_txtMinWorkHours.value != "") {
                var splittedValue = document.aspnetForm.ctl00_BodyContentPH_txtMinWorkHours.value.split(":");
                if (splittedValue.length < 2) {
                    alert(EntervalidMinimumWorkHours);
                    document.aspnetForm.ctl00_BodyContentPH_txtMinWorkHours.focus();
                    return false;
                }
                else if (splittedValue[0].length < 2) {
                    alert(EntervalidMinimumWorkHours);
                    document.aspnetForm.ctl00_BodyContentPH_txtMinWorkHours.focus();
                    return false;
                }
                else if (splittedValue[1].length < 2) {
                    alert(EntervalidMinimumWorkHours);
                    document.aspnetForm.ctl00_BodyContentPH_txtMinWorkHours.focus();
                    return false;
                }
            }
            if (document.aspnetForm.ctl00_BodyContentPH_txtFromDate.value != '') {
                var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtFromDate;
                var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
                if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                    if (document.aspnetForm.ctl00_BodyContentPH_txtToDate.value != '') {
                        var weekDay = document.aspnetForm.ctl00_BodyContentPH_txtToDate;
                        var DateFormat = document.getElementById('ctl00_BodyContentPH_Hidden1').value;
                        if (checkDate(weekDay, DateFormat, Monthfourdigit, Datefourdigit, Invalidyearentry, Invalidmonthentry, Invaliddateentry, DateformatDDMONYYYY, Entertime, Valueforhours, Invalidvalueforminutes, Invalidtimeformat, EntervalidDateandTime, ValiddatemonthMMDDYYHHMM, ValiddatemonthMMDDYYHHMMTT, EntervalidDateandTime, Invalidvalueforhours, Invalidvalueforminites)) {
                        }
                        else {
                            return false;
                        }
                    }
                    else {
                        alert(ToDate);
                        return false
                    }
                }
                else {
                    return false;
                }
            }
            else {
                alert(FromDate);
                return false;
            }
        }
        function Expand() {
            gvData.ExpandAll();
            return false;
        }
        function Collapse() {
            gvData.CollapseAll();
            return false;
        }
    </script>
</asp:Content>
